> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get play

> Get a play by UUID



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /orchestration/plays/{uuid}
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /orchestration/plays/{uuid}:
    get:
      tags:
        - Orchestration - Plays
      summary: Get play
      description: Get a play by UUID
      parameters:
        - in: path
          name: uuid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
            title: UUID
            description: Play identifier.
          required: true
          description: Play identifier.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  play:
                    type: object
                    properties:
                      uuid:
                        type: string
                      workspaceUuid:
                        type: string
                      workflowUuid:
                        type: string
                      userUuid:
                        type: string
                      modelUuid:
                        type: string
                      segmentUuid:
                        type: string
                      changeKinds:
                        type: array
                        items:
                          type: string
                      runCreationRule:
                        type: string
                        enum:
                          - always
                          - once
                          - noConcurrency
                      name:
                        type: string
                      description:
                        anyOf:
                          - type: string
                          - type: 'null'
                      schedule:
                        anyOf:
                          - anyOf:
                              - type: object
                                properties:
                                  type:
                                    type: string
                                    const: watch
                                  temporalScheduleWorkflowId:
                                    type: string
                                  meta:
                                    type: object
                                    propertyNames:
                                      type: string
                                    additionalProperties: {}
                                required:
                                  - type
                                  - temporalScheduleWorkflowId
                                additionalProperties: false
                              - type: object
                                properties:
                                  type:
                                    type: string
                                    const: realtime
                                required:
                                  - type
                                additionalProperties: false
                              - type: object
                                properties:
                                  type:
                                    type: string
                                    const: cron
                                  cron:
                                    type: string
                                  temporalScheduleWorkflowId:
                                    type: string
                                required:
                                  - type
                                  - cron
                                  - temporalScheduleWorkflowId
                                additionalProperties: false
                              - type: object
                                properties:
                                  type:
                                    type: string
                                    const: dbt
                                  jobId:
                                    type: string
                                required:
                                  - type
                                  - jobId
                                additionalProperties: false
                              - type: object
                                properties:
                                  type:
                                    type: string
                                    const: dependency
                                  playUuid:
                                    type: string
                                required:
                                  - type
                                  - playUuid
                                additionalProperties: false
                          - type: 'null'
                      isEnabled:
                        type: boolean
                      healthThreshold:
                        type: number
                      healthAlertActions:
                        type: array
                        items:
                          type: object
                          properties:
                            actionSlug:
                              type: string
                            connectorUuid:
                              type: string
                            config:
                              type: object
                              propertyNames:
                                type: string
                              additionalProperties: {}
                          required:
                            - actionSlug
                            - connectorUuid
                            - config
                          additionalProperties: false
                      folderUuid:
                        anyOf:
                          - type: string
                          - type: 'null'
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                      deletedAt:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - uuid
                      - workspaceUuid
                      - workflowUuid
                      - userUuid
                      - modelUuid
                      - segmentUuid
                      - changeKinds
                      - runCreationRule
                      - name
                      - description
                      - schedule
                      - isEnabled
                      - healthThreshold
                      - healthAlertActions
                      - folderUuid
                      - createdAt
                      - updatedAt
                      - deletedAt
                    additionalProperties: false
                    title: Play
                    description: Play details.
                required:
                  - play
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````